<?xml version="1.0" encoding="utf-8"?>
<!-- Generated by PRONEXUS WORKS -->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink">
  <link:roleRef xlink:type="simple" roleURI="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpcrp/2022-11-01/jpcrp_rt_2022-11-01.xsd#rol_altLabel" />
  <link:roleRef xlink:type="simple" roleURI="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/totalLabel" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpcrp/2022-11-01/jpcrp_rt_2022-11-01.xsd#rol_altTotalLabel" />
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37192-000_2023-09-30_01_2023-12-26.xsd#jpcrp030000-asr_E37192-000_CustodySalesCL" xlink:label="CustodySalesCL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37192-000_2023-09-30_01_2023-12-26.xsd#jpcrp030000-asr_E37192-000_EmployeesAndDirectorsBenefitCostsCostOfSalesAndSellingGeneralAndAdministrativeExpensesIFRS" xlink:label="EmployeesAndDirectorsBenefitCostsCostOfSalesAndSellingGeneralAndAdministrativeExpensesIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37192-000_2023-09-30_01_2023-12-26.xsd#jpcrp030000-asr_E37192-000_CompesationsCostOfSalesAndSellingGeneralAndAdministrativeExpensesIFRS" xlink:label="CompesationsCostOfSalesAndSellingGeneralAndAdministrativeExpensesIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37192-000_2023-09-30_01_2023-12-26.xsd#jpcrp030000-asr_E37192-000_InterestExpensesOnAssetRetirementObligationInterestExpensesFinanceCostsIFRS" xlink:label="InterestExpensesOnAssetRetirementObligationInterestExpensesFinanceCostsIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37192-000_2023-09-30_01_2023-12-26.xsd#jpcrp030000-asr_E37192-000_NotesBorrowingsAndOtherFinancialLiabilitiesConsolidatedFinancialStatementsIFRSHeading" xlink:label="NotesBorrowingsAndOtherFinancialLiabilitiesConsolidatedFinancialStatementsIFRSHeading" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37192-000_2023-09-30_01_2023-12-26.xsd#jpcrp030000-asr_E37192-000_NotesBorrowingsAndOtherFinancialLiabilitiesConsolidatedFinancialStatementsIFRSTextBlock" xlink:label="NotesBorrowingsAndOtherFinancialLiabilitiesConsolidatedFinancialStatementsIFRSTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37192-000_2023-09-30_01_2023-12-26.xsd#jpcrp030000-asr_E37192-000_TranVanMinhMember" xlink:label="TranVanMinhMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37192-000_2023-09-30_01_2023-12-26.xsd#jpcrp030000-asr_E37192-000_HirakawaKazumaMember" xlink:label="HirakawaKazumaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37192-000_2023-09-30_01_2023-12-26.xsd#jpcrp030000-asr_E37192-000_KubotaYosukeMember" xlink:label="KubotaYosukeMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37192-000_2023-09-30_01_2023-12-26.xsd#jpcrp030000-asr_E37192-000_KinugasaYoshinobuMember" xlink:label="KinugasaYoshinobuMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37192-000_2023-09-30_01_2023-12-26.xsd#jpcrp030000-asr_E37192-000_MoriyasuMamoruMember" xlink:label="MoriyasuMamoruMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37192-000_2023-09-30_01_2023-12-26.xsd#jpcrp030000-asr_E37192-000_HonmaDaictiMember" xlink:label="HonmaDaictiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37192-000_2023-09-30_01_2023-12-26.xsd#jpcrp030000-asr_E37192-000_SatomiTakeshiMember" xlink:label="SatomiTakeshiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37192-000_2023-09-30_01_2023-12-26.xsd#jpcrp030000-asr_E37192-000_YamadaKazuoMember" xlink:label="YamadaKazuoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37192-000_2023-09-30_01_2023-12-26.xsd#jpcrp030000-asr_E37192-000_IssuranceOfCommonStockByExerciseOfStockOption" xlink:label="IssuranceOfCommonStockByExerciseOfStockOption" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37192-000_2023-09-30_01_2023-12-26.xsd#jpcrp030000-asr_E37192-000_OperatingProfitLossIFRSSummaryOfBusinessResults" xlink:label="OperatingProfitLossIFRSSummaryOfBusinessResults" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37192-000_2023-09-30_01_2023-12-26.xsd#jpcrp030000-asr_E37192-000_ListingExpensesNOEIFRS" xlink:label="ListingExpensesNOEIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37192-000_2023-09-30_01_2023-12-26.xsd#jpcrp030000-asr_E37192-000_RentConcessionsExtensionIFRS" xlink:label="RentConcessionsExtensionIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37192-000_2023-09-30_01_2023-12-26.xsd#jpcrp030000-asr_E37192-000_ReversalOfLeaseLiabilitiesOtherIncomeIFRS" xlink:label="ReversalOfLeaseLiabilitiesOtherIncomeIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37192-000_2023-09-30_01_2023-12-26.xsd#jpcrp030000-asr_E37192-000_GainOnReversalOfAssetRetirementObligationIFRS" xlink:label="GainOnReversalOfAssetRetirementObligationIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37192-000_2023-09-30_01_2023-12-26.xsd#jpcrp030000-asr_E37192-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:label="DisclosureOfSustainabilityRelatedFinancialInformationHeading" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37192-000_2023-09-30_01_2023-12-26.xsd#jpcrp030000-asr_E37192-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:label="DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37192-000_2023-09-30_01_2023-12-26.xsd#jpcrp030000-asr_E37192-000_GovernanceTextBlock" xlink:label="GovernanceTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37192-000_2023-09-30_01_2023-12-26.xsd#jpcrp030000-asr_E37192-000_ReferenceToOtherInformationGovernance" xlink:label="ReferenceToOtherInformationGovernance" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37192-000_2023-09-30_01_2023-12-26.xsd#jpcrp030000-asr_E37192-000_StrategyTextBlock" xlink:label="StrategyTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37192-000_2023-09-30_01_2023-12-26.xsd#jpcrp030000-asr_E37192-000_ReferenceToOtherInformationStrategy" xlink:label="ReferenceToOtherInformationStrategy" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37192-000_2023-09-30_01_2023-12-26.xsd#jpcrp030000-asr_E37192-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:label="PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37192-000_2023-09-30_01_2023-12-26.xsd#jpcrp030000-asr_E37192-000_RiskManagementTextBlock" xlink:label="RiskManagementTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37192-000_2023-09-30_01_2023-12-26.xsd#jpcrp030000-asr_E37192-000_ReferenceToOtherInformationRiskManagement" xlink:label="ReferenceToOtherInformationRiskManagement" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37192-000_2023-09-30_01_2023-12-26.xsd#jpcrp030000-asr_E37192-000_MetricsAndTargetsTextBlock" xlink:label="MetricsAndTargetsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37192-000_2023-09-30_01_2023-12-26.xsd#jpcrp030000-asr_E37192-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xlink:label="DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2022-11-01/jpigp_cor_2022-11-01.xsd#jpigp_cor_ProceedsFromIssuanceOfSharesFinCFIFRS" xlink:label="ProceedsFromIssuanceOfSharesFinCFIFRS" />
    <link:label xlink:type="resource" xlink:label="label_ProceedsFromIssuanceOfSharesFinCFIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_ProceedsFromIssuanceOfSharesFinCFIFRS">Proceeds from issuance of shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedsFromIssuanceOfSharesFinCFIFRS" xlink:to="label_ProceedsFromIssuanceOfSharesFinCFIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37192-000_2023-09-30_01_2023-12-26.xsd#jpcrp030000-asr_E37192-000_CompensationReceived" xlink:label="CompensationReceived" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2022-11-01/jpigp_cor_2022-11-01.xsd#jpigp_cor_IssuanceOfNewSharesSSIFRS" xlink:label="IssuanceOfNewSharesSSIFRS" />
    <link:label xlink:type="resource" xlink:label="label_IssuanceOfNewSharesSSIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_IssuanceOfNewSharesSSIFRS">Issuance of new shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IssuanceOfNewSharesSSIFRS" xlink:to="label_IssuanceOfNewSharesSSIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2022-11-01/jpigp_cor_2022-11-01.xsd#jpigp_cor_LeaseObligationsInterestExpensesIFRS" xlink:label="LeaseObligationsInterestExpensesIFRS" />
    <link:label xlink:type="resource" xlink:label="label_LeaseObligationsInterestExpensesIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_LeaseObligationsInterestExpensesIFRS">Lease liabilities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LeaseObligationsInterestExpensesIFRS" xlink:to="label_LeaseObligationsInterestExpensesIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37192-000_2023-09-30_01_2023-12-26.xsd#jpcrp030000-asr_E37192-000_ShimodaRinyaMember" xlink:label="ShimodaRinyaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37192-000_2023-09-30_01_2023-12-26.xsd#jpcrp030000-asr_E37192-000_CompensationIncomeOtherIncomeIFRS" xlink:label="CompensationIncomeOtherIncomeIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2022-11-01/jpigp_cor_2022-11-01.xsd#jpigp_cor_GovernmentGrantIncomeIFRS" xlink:label="GovernmentGrantIncomeIFRS" />
    <link:label xlink:type="resource" xlink:label="label_GovernmentGrantIncomeIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/label" id="label_GovernmentGrantIncomeIFRS">Government grant income</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GovernmentGrantIncomeIFRS" xlink:to="label_GovernmentGrantIncomeIFRS" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E37192-000_2023-09-30_01_2023-12-26.xsd#jpcrp030000-asr_E37192-000_CommissionExpensesGeneralAndAdministrativeExpensesIFRS" xlink:label="CommissionExpensesGeneralAndAdministrativeExpensesIFRS" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jpigp/2022-11-01/jpigp_cor_2022-11-01.xsd#jpigp_cor_ComprehensiveIncomeIFRS" xlink:label="ComprehensiveIncomeIFRS" />
    <link:label xlink:type="resource" xlink:label="label_ComprehensiveIncomeIFRS" xml:lang="en" xlink:role="http://disclosure.edinet-fsa.go.jp/jpcrp/alt/role/totalLabel" id="label_ComprehensiveIncomeIFRS">Total</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ComprehensiveIncomeIFRS" xlink:to="label_ComprehensiveIncomeIFRS" />
    <link:label xlink:type="resource" xlink:label="label_OperatingProfitLossIFRSSummaryOfBusinessResults_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_OperatingProfitLossIFRSSummaryOfBusinessResults_2">Operating profit (loss)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OperatingProfitLossIFRSSummaryOfBusinessResults" xlink:to="label_OperatingProfitLossIFRSSummaryOfBusinessResults_2" />
    <link:label xlink:type="resource" xlink:label="label_OperatingProfitLossIFRSSummaryOfBusinessResults" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_OperatingProfitLossIFRSSummaryOfBusinessResults">Operating profit (loss) (IFRS), Summary of business results</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OperatingProfitLossIFRSSummaryOfBusinessResults" xlink:to="label_OperatingProfitLossIFRSSummaryOfBusinessResults" />
    <link:label xlink:type="resource" xlink:label="label_IssuranceOfCommonStockByExerciseOfStockOption_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_IssuranceOfCommonStockByExerciseOfStockOption_2">Issurance of common stock by exercise of stock option</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IssuranceOfCommonStockByExerciseOfStockOption" xlink:to="label_IssuranceOfCommonStockByExerciseOfStockOption_2" />
    <link:label xlink:type="resource" xlink:label="label_IssuranceOfCommonStockByExerciseOfStockOption" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_IssuranceOfCommonStockByExerciseOfStockOption">Issurance of common stock by exercise of stock option</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IssuranceOfCommonStockByExerciseOfStockOption" xlink:to="label_IssuranceOfCommonStockByExerciseOfStockOption" />
    <link:label xlink:type="resource" xlink:label="label_InterestExpensesOnAssetRetirementObligationInterestExpensesFinanceCostsIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_InterestExpensesOnAssetRetirementObligationInterestExpensesFinanceCostsIFRS_2">Interest expenses on asset retirement obligation</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="InterestExpensesOnAssetRetirementObligationInterestExpensesFinanceCostsIFRS" xlink:to="label_InterestExpensesOnAssetRetirementObligationInterestExpensesFinanceCostsIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_InterestExpensesOnAssetRetirementObligationInterestExpensesFinanceCostsIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_InterestExpensesOnAssetRetirementObligationInterestExpensesFinanceCostsIFRS">Interest expenses on asset retirement obligation, Interest expenses, Finance costs (IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="InterestExpensesOnAssetRetirementObligationInterestExpensesFinanceCostsIFRS" xlink:to="label_InterestExpensesOnAssetRetirementObligationInterestExpensesFinanceCostsIFRS" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading_2">Disclosure of Sustainability-related Financial Information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading_2" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading">Disclosure of Sustainability-related Financial Information [heading]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_2">Disclosure of Sustainability-related Financial Information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock">Disclosure of Sustainability-related Financial Information [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_GovernanceTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_GovernanceTextBlock_2">Governance</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GovernanceTextBlock" xlink:to="label_GovernanceTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_GovernanceTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_GovernanceTextBlock">Governance [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GovernanceTextBlock" xlink:to="label_GovernanceTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationGovernance_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformationGovernance_2">Reference to other information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationGovernance" xlink:to="label_ReferenceToOtherInformationGovernance_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationGovernance" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformationGovernance">Reference to other information, Governance</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationGovernance" xlink:to="label_ReferenceToOtherInformationGovernance" />
    <link:label xlink:type="resource" xlink:label="label_StrategyTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_StrategyTextBlock_2">Strategy</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StrategyTextBlock" xlink:to="label_StrategyTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_StrategyTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_StrategyTextBlock">Strategy [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StrategyTextBlock" xlink:to="label_StrategyTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationStrategy_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformationStrategy_2">Reference to other information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationStrategy" xlink:to="label_ReferenceToOtherInformationStrategy_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationStrategy" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformationStrategy">Reference to other information, Strategy</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationStrategy" xlink:to="label_ReferenceToOtherInformationStrategy" />
    <link:label xlink:type="resource" xlink:label="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_2">Policy on human resource development and improvement of internal environment</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:to="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock">Policy on human resource development and improvement of internal environment, Strategy [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:to="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_RiskManagementTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RiskManagementTextBlock_2">Risk management</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RiskManagementTextBlock" xlink:to="label_RiskManagementTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_RiskManagementTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RiskManagementTextBlock">Risk management [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RiskManagementTextBlock" xlink:to="label_RiskManagementTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationRiskManagement_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformationRiskManagement_2">Reference to other information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationRiskManagement" xlink:to="label_ReferenceToOtherInformationRiskManagement_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationRiskManagement" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformationRiskManagement">Reference to other information, Risk management</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationRiskManagement" xlink:to="label_ReferenceToOtherInformationRiskManagement" />
    <link:label xlink:type="resource" xlink:label="label_MetricsAndTargetsTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MetricsAndTargetsTextBlock_2">Metrics and targets</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MetricsAndTargetsTextBlock" xlink:to="label_MetricsAndTargetsTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_MetricsAndTargetsTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MetricsAndTargetsTextBlock">Metrics and targets [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MetricsAndTargetsTextBlock" xlink:to="label_MetricsAndTargetsTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock_2">Description of metrics related to policy on human resource development and improvement of internal environment, and targets and results using such metrics</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xlink:to="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock">Description of metrics related to policy on human resource development and improvement of internal environment, and targets and results using such metrics, Metrics and targets [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xlink:to="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_NotesBorrowingsAndOtherFinancialLiabilitiesConsolidatedFinancialStatementsIFRSHeading_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesBorrowingsAndOtherFinancialLiabilitiesConsolidatedFinancialStatementsIFRSHeading_2">Notes - Borrowings and other financial liabilities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesBorrowingsAndOtherFinancialLiabilitiesConsolidatedFinancialStatementsIFRSHeading" xlink:to="label_NotesBorrowingsAndOtherFinancialLiabilitiesConsolidatedFinancialStatementsIFRSHeading_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesBorrowingsAndOtherFinancialLiabilitiesConsolidatedFinancialStatementsIFRSHeading" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesBorrowingsAndOtherFinancialLiabilitiesConsolidatedFinancialStatementsIFRSHeading">Notes - Borrowings and other financial liabilities, Consolidated financial statements (IFRS) [heading]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesBorrowingsAndOtherFinancialLiabilitiesConsolidatedFinancialStatementsIFRSHeading" xlink:to="label_NotesBorrowingsAndOtherFinancialLiabilitiesConsolidatedFinancialStatementsIFRSHeading" />
    <link:label xlink:type="resource" xlink:label="label_NotesBorrowingsAndOtherFinancialLiabilitiesConsolidatedFinancialStatementsIFRSTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesBorrowingsAndOtherFinancialLiabilitiesConsolidatedFinancialStatementsIFRSTextBlock_2">Notes - Borrowings and other financial liabilities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesBorrowingsAndOtherFinancialLiabilitiesConsolidatedFinancialStatementsIFRSTextBlock" xlink:to="label_NotesBorrowingsAndOtherFinancialLiabilitiesConsolidatedFinancialStatementsIFRSTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesBorrowingsAndOtherFinancialLiabilitiesConsolidatedFinancialStatementsIFRSTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesBorrowingsAndOtherFinancialLiabilitiesConsolidatedFinancialStatementsIFRSTextBlock">Notes - Borrowings and other financial liabilities, Consolidated financial statements (IFRS) [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesBorrowingsAndOtherFinancialLiabilitiesConsolidatedFinancialStatementsIFRSTextBlock" xlink:to="label_NotesBorrowingsAndOtherFinancialLiabilitiesConsolidatedFinancialStatementsIFRSTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_CustodySalesCL_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_CustodySalesCL_2">Custody sales</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CustodySalesCL" xlink:to="label_CustodySalesCL_2" />
    <link:label xlink:type="resource" xlink:label="label_CustodySalesCL" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_CustodySalesCL">Custody sales-CL</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CustodySalesCL" xlink:to="label_CustodySalesCL" />
    <link:label xlink:type="resource" xlink:label="label_CompensationIncomeOtherIncomeIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_CompensationIncomeOtherIncomeIFRS">Compensation income</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CompensationIncomeOtherIncomeIFRS" xlink:to="label_CompensationIncomeOtherIncomeIFRS" />
    <link:label xlink:type="resource" xlink:label="label_CompensationIncomeOtherIncomeIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_CompensationIncomeOtherIncomeIFRS_2">Compensation income, Other income (IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CompensationIncomeOtherIncomeIFRS" xlink:to="label_CompensationIncomeOtherIncomeIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_ReversalOfLeaseLiabilitiesOtherIncomeIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReversalOfLeaseLiabilitiesOtherIncomeIFRS_2">Reversal of lease liabilities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReversalOfLeaseLiabilitiesOtherIncomeIFRS" xlink:to="label_ReversalOfLeaseLiabilitiesOtherIncomeIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_ReversalOfLeaseLiabilitiesOtherIncomeIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReversalOfLeaseLiabilitiesOtherIncomeIFRS">Reversal of lease liabilities, Other income (IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReversalOfLeaseLiabilitiesOtherIncomeIFRS" xlink:to="label_ReversalOfLeaseLiabilitiesOtherIncomeIFRS" />
    <link:label xlink:type="resource" xlink:label="label_RentConcessionsExtensionIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RentConcessionsExtensionIFRS_2">Rent Concessions Extension</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RentConcessionsExtensionIFRS" xlink:to="label_RentConcessionsExtensionIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_RentConcessionsExtensionIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RentConcessionsExtensionIFRS">Rent Concessions Extension (IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RentConcessionsExtensionIFRS" xlink:to="label_RentConcessionsExtensionIFRS" />
    <link:label xlink:type="resource" xlink:label="label_GainOnReversalOfAssetRetirementObligationIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_GainOnReversalOfAssetRetirementObligationIFRS_2">Gain on reversal of asset retirement obligation</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GainOnReversalOfAssetRetirementObligationIFRS" xlink:to="label_GainOnReversalOfAssetRetirementObligationIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_GainOnReversalOfAssetRetirementObligationIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_GainOnReversalOfAssetRetirementObligationIFRS">Gain on reversal of asset retirement obligation (IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GainOnReversalOfAssetRetirementObligationIFRS" xlink:to="label_GainOnReversalOfAssetRetirementObligationIFRS" />
    <link:label xlink:type="resource" xlink:label="label_ListingExpensesNOEIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ListingExpensesNOEIFRS_2">Listing Expenses NOE</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ListingExpensesNOEIFRS" xlink:to="label_ListingExpensesNOEIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_ListingExpensesNOEIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ListingExpensesNOEIFRS">Listing Expenses NOE (IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ListingExpensesNOEIFRS" xlink:to="label_ListingExpensesNOEIFRS" />
    <link:label xlink:type="resource" xlink:label="label_CompensationReceived_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_CompensationReceived_2">compensation received</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CompensationReceived" xlink:to="label_CompensationReceived_2" />
    <link:label xlink:type="resource" xlink:label="label_CompensationReceived" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_CompensationReceived">compensation received</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CompensationReceived" xlink:to="label_CompensationReceived" />
    <link:label xlink:type="resource" xlink:label="label_TranVanMinhMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_TranVanMinhMember_2">Tran, Van Minh</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TranVanMinhMember" xlink:to="label_TranVanMinhMember_2" />
    <link:label xlink:type="resource" xlink:label="label_TranVanMinhMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_TranVanMinhMember">Tran, Van Minh [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TranVanMinhMember" xlink:to="label_TranVanMinhMember" />
    <link:label xlink:type="resource" xlink:label="label_HirakawaKazumaMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_HirakawaKazumaMember_2">Hirakawa, Kazuma</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HirakawaKazumaMember" xlink:to="label_HirakawaKazumaMember_2" />
    <link:label xlink:type="resource" xlink:label="label_HirakawaKazumaMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_HirakawaKazumaMember">Hirakawa, Kazuma [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HirakawaKazumaMember" xlink:to="label_HirakawaKazumaMember" />
    <link:label xlink:type="resource" xlink:label="label_KubotaYosukeMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KubotaYosukeMember_2">Kubota, Yosuke</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KubotaYosukeMember" xlink:to="label_KubotaYosukeMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KubotaYosukeMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KubotaYosukeMember">Kubota, Yosuke [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KubotaYosukeMember" xlink:to="label_KubotaYosukeMember" />
    <link:label xlink:type="resource" xlink:label="label_KinugasaYoshinobuMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KinugasaYoshinobuMember_2">Kinugasa, Yoshinobu</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KinugasaYoshinobuMember" xlink:to="label_KinugasaYoshinobuMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KinugasaYoshinobuMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KinugasaYoshinobuMember">Kinugasa, Yoshinobu [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KinugasaYoshinobuMember" xlink:to="label_KinugasaYoshinobuMember" />
    <link:label xlink:type="resource" xlink:label="label_MoriyasuMamoruMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MoriyasuMamoruMember_2">Moriyasu, Mamoru</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MoriyasuMamoruMember" xlink:to="label_MoriyasuMamoruMember_2" />
    <link:label xlink:type="resource" xlink:label="label_MoriyasuMamoruMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MoriyasuMamoruMember">Moriyasu, Mamoru [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MoriyasuMamoruMember" xlink:to="label_MoriyasuMamoruMember" />
    <link:label xlink:type="resource" xlink:label="label_HonmaDaictiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_HonmaDaictiMember">Honma, Daicti</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HonmaDaictiMember" xlink:to="label_HonmaDaictiMember" />
    <link:label xlink:type="resource" xlink:label="label_HonmaDaictiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_HonmaDaictiMember_2">Honma, Daicti [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HonmaDaictiMember" xlink:to="label_HonmaDaictiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_ShimodaRinyaMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ShimodaRinyaMember">Shimoda, Rinya</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ShimodaRinyaMember" xlink:to="label_ShimodaRinyaMember" />
    <link:label xlink:type="resource" xlink:label="label_ShimodaRinyaMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ShimodaRinyaMember_2">Shimoda, Rinya [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ShimodaRinyaMember" xlink:to="label_ShimodaRinyaMember_2" />
    <link:label xlink:type="resource" xlink:label="label_SatomiTakeshiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_SatomiTakeshiMember_2">Satomi, Takeshi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SatomiTakeshiMember" xlink:to="label_SatomiTakeshiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_SatomiTakeshiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_SatomiTakeshiMember">Satomi, Takeshi [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SatomiTakeshiMember" xlink:to="label_SatomiTakeshiMember" />
    <link:label xlink:type="resource" xlink:label="label_YamadaKazuoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_YamadaKazuoMember_2">Yamada, Kazuo</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="YamadaKazuoMember" xlink:to="label_YamadaKazuoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_YamadaKazuoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_YamadaKazuoMember">Yamada, Kazuo [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="YamadaKazuoMember" xlink:to="label_YamadaKazuoMember" />
    <link:label xlink:type="resource" xlink:label="label_CommissionExpensesGeneralAndAdministrativeExpensesIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_CommissionExpensesGeneralAndAdministrativeExpensesIFRS_2">Commission expenses</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CommissionExpensesGeneralAndAdministrativeExpensesIFRS" xlink:to="label_CommissionExpensesGeneralAndAdministrativeExpensesIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_CommissionExpensesGeneralAndAdministrativeExpensesIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_CommissionExpensesGeneralAndAdministrativeExpensesIFRS">Commission expenses, general and administrative expenses (IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CommissionExpensesGeneralAndAdministrativeExpensesIFRS" xlink:to="label_CommissionExpensesGeneralAndAdministrativeExpensesIFRS" />
    <link:label xlink:type="resource" xlink:label="label_EmployeesAndDirectorsBenefitCostsCostOfSalesAndSellingGeneralAndAdministrativeExpensesIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_EmployeesAndDirectorsBenefitCostsCostOfSalesAndSellingGeneralAndAdministrativeExpensesIFRS_2">Employees and directors benefit costs</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EmployeesAndDirectorsBenefitCostsCostOfSalesAndSellingGeneralAndAdministrativeExpensesIFRS" xlink:to="label_EmployeesAndDirectorsBenefitCostsCostOfSalesAndSellingGeneralAndAdministrativeExpensesIFRS_2" />
    <link:label xlink:type="resource" xlink:label="label_EmployeesAndDirectorsBenefitCostsCostOfSalesAndSellingGeneralAndAdministrativeExpensesIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_EmployeesAndDirectorsBenefitCostsCostOfSalesAndSellingGeneralAndAdministrativeExpensesIFRS">Employees and directors benefit costs, Cost of sales and selling, general and administrative expenses (IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EmployeesAndDirectorsBenefitCostsCostOfSalesAndSellingGeneralAndAdministrativeExpensesIFRS" xlink:to="label_EmployeesAndDirectorsBenefitCostsCostOfSalesAndSellingGeneralAndAdministrativeExpensesIFRS" />
    <link:label xlink:type="resource" xlink:label="label_CompesationsCostOfSalesAndSellingGeneralAndAdministrativeExpensesIFRS" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_CompesationsCostOfSalesAndSellingGeneralAndAdministrativeExpensesIFRS">compesations</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CompesationsCostOfSalesAndSellingGeneralAndAdministrativeExpensesIFRS" xlink:to="label_CompesationsCostOfSalesAndSellingGeneralAndAdministrativeExpensesIFRS" />
    <link:label xlink:type="resource" xlink:label="label_CompesationsCostOfSalesAndSellingGeneralAndAdministrativeExpensesIFRS_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_CompesationsCostOfSalesAndSellingGeneralAndAdministrativeExpensesIFRS_2">compesations, Cost of sales and selling, general and administrative expenses (IFRS)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CompesationsCostOfSalesAndSellingGeneralAndAdministrativeExpensesIFRS" xlink:to="label_CompesationsCostOfSalesAndSellingGeneralAndAdministrativeExpensesIFRS_2" />
  </link:labelLink>
</link:linkbase>